diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
index 14b26be7d..fab171f39 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
@@ -2,40 +2,41 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.BoolArgumentType;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeBool;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.CommandSource;
+import net.minecraft.core.net.command.TextFormatting;
+import net.minecraft.core.util.helper.LoggedPrintStream;
 import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.packet.PacketChat;
 
 public class CommandMe implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("me")
-            .then(RequiredArgumentBuilder.<CommandSource, Boolean>argument("asterisk", BoolArgumentType.bool())
-                .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
-                    .executes(c -> {
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("me")
+            .then(ArgumentBuilderRequired.<CommandSource, String>argument("message", ArgumentTypeString.greedyString())
+                .executes(c ->
+                    {
                         CommandSource source = c.getSource();
-                        String message = StringArgumentType.getString(c, "message");
-                        boolean asterisk = BoolArgumentType.getBool(c, "asterisk");
+                        String message = ArgumentTypeString.getString(c, "message");
                         if (!(source instanceof IServerCommandSource))
                             throw CommandExceptions.multiplayerWorldOnly().create();
-                        String senderName = source.getName();
-                        ((IServerCommandSource) source).getServer().playerList.sendPacketToAllPlayers(new PacketChat((asterisk ? "* " : "") + senderName + message));
+                        if(source.getSender() == null) return 0;
+                        String senderName = source.getSender().getDisplayName();
+
+                        ((IServerCommandSource) source).getServer().playerList.sendPacketToAllPlayers(
+                            new PacketChat(
+                            TextFormatting.LIGHT_GRAY + "* " + (source.getSender().nickname.isEmpty() ? "" : TextFormatting.ITALIC) + TextFormatting.removeAllFormatting(senderName) + " " + TextFormatting.RESET + TextFormatting.LIGHT_GRAY + message
+                            )
+                        );
+
                         return Command.SINGLE_SUCCESS;
-                    })))
-            .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
-                .executes(c -> {
-                    CommandSource source = c.getSource();
-                    String message = StringArgumentType.getString(c, "message");
-                    if (!(source instanceof IServerCommandSource))
-                        throw CommandExceptions.multiplayerWorldOnly().create();
-                    String senderName = source.getName();
-                    ((IServerCommandSource) source).getServer().playerList.sendPacketToAllPlayers(new PacketChat("* " + senderName + message));
-                    return Command.SINGLE_SUCCESS;
-                })));
+                    }
+                )
+            )
+        );
     }
 }
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
index a8d76ccf1..e33cd7990 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
@@ -2,9 +2,9 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.entity.Entity;
@@ -23,11 +23,10 @@ public class CommandNickname implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType NICKNAME_TOO_SMALL = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.nickname.exception_too_small"));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("nickname")
-            .then(LiteralArgumentBuilder.<CommandSource>literal("set")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
-                    .requires(CommandSource::hasAdmin)
-                    .then(RequiredArgumentBuilder.<CommandSource, String>argument("nickname", StringArgumentType.greedyString())
+        CommandNode<CommandSource> command = dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("nickname")
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("set")
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.username()).requires(CommandSource::hasAdmin)
+                    .then(ArgumentBuilderRequired.<CommandSource, String>argument("nickname", ArgumentTypeString.string())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -49,7 +48,7 @@ public class CommandNickname implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         })))
-                .then(RequiredArgumentBuilder.<CommandSource, String>argument("nickname", StringArgumentType.greedyString())
+                .then(ArgumentBuilderRequired.<CommandSource, String>argument("nickname", ArgumentTypeString.string())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         String nickname = c.getArgument("nickname", String.class);
@@ -68,8 +67,8 @@ public class CommandNickname implements CommandManager.CommandRegistry {
 
                         return Command.SINGLE_SUCCESS;
                     })))
-            .then(LiteralArgumentBuilder.<CommandSource>literal("get")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("get")
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.username())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -79,8 +78,8 @@ public class CommandNickname implements CommandManager.CommandRegistry {
                         source.sendTranslatableMessage("command.commands.nickname.get.success", player.username, player.nickname);
                         return Command.SINGLE_SUCCESS;
                     })))
-            .then(LiteralArgumentBuilder.<CommandSource>literal("reset")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("reset")
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.username())
                     .requires(CommandSource::hasAdmin)
                     .executes(c -> {
                         CommandSource source = c.getSource();
@@ -115,7 +114,7 @@ public class CommandNickname implements CommandManager.CommandRegistry {
 
                     return Command.SINGLE_SUCCESS;
                 })));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("nick")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("nick")
             .redirect(command));
     }
 }
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
index f715de74a..7a68b197e 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
@@ -2,8 +2,8 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.lang.I18n;
@@ -22,9 +22,9 @@ public class CommandOp implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.op.exception_failure"));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("op")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("op")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
+            .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.usernames())
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     if (!(source instanceof IServerCommandSource))
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandSave.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandSave.java
index 632b0e55f..86cd01244 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandSave.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandSave.java
@@ -2,9 +2,9 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.DynamicCommandExceptionType;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
@@ -20,9 +20,9 @@ public class CommandSave implements CommandManager.CommandRegistry {
         new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.save.exception_failure", arg));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("save")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("save")
                     .requires(CommandSource::hasAdmin)
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("all").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("all").executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
@@ -39,7 +39,7 @@ public class CommandSave implements CommandManager.CommandRegistry {
 
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("on").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("on").executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
@@ -52,7 +52,7 @@ public class CommandSave implements CommandManager.CommandRegistry {
 
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("off").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("off").executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
@@ -65,8 +65,8 @@ public class CommandSave implements CommandManager.CommandRegistry {
 
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("interval")
-                        .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("value", IntegerArgumentType.integer())
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("interval")
+                        .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("value", ArgumentTypeInteger.integer())
                             .executes(c -> {
                                 CommandSource source = c.getSource();
                                 if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
@@ -80,8 +80,8 @@ public class CommandSave implements CommandManager.CommandRegistry {
                                 c.getSource().sendTranslatableMessage("command.commands.save.interval", interval);
                                 return Command.SINGLE_SUCCESS;
                     })))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("amount")
-                        .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("value", IntegerArgumentType.integer())
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("amount")
+                        .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("value", ArgumentTypeInteger.integer())
                             .executes(c -> {
                                 CommandSource source = c.getSource();
                                 if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
index 791928995..e9273d40f 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
@@ -1,9 +1,9 @@
 package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -21,8 +21,8 @@ import java.util.List;
 
 public class CommandScore implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("score")
-            .then(LiteralArgumentBuilder.<CommandSource>literal("get")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("score")
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("get")
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     Player player = source.getSender();
@@ -30,7 +30,7 @@ public class CommandScore implements CommandManager.CommandRegistry {
                     source.sendTranslatableMessage("command.commands.score.get.success", player.score);
                     return player.score;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.username())
                     .requires(CommandSource::hasAdmin)
                     .executes(c -> {
                         CommandSource source = c.getSource();
@@ -43,10 +43,10 @@ public class CommandScore implements CommandManager.CommandRegistry {
                         }
                         return player.score;
                     })))
-            .then(LiteralArgumentBuilder.<CommandSource>literal("set")
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("set")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
-                    .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("score", IntegerArgumentType.integer(0, Integer.MAX_VALUE))
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.usernames())
+                    .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("score", ArgumentTypeInteger.integer(0, Integer.MAX_VALUE))
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
@@ -57,10 +57,10 @@ public class CommandScore implements CommandManager.CommandRegistry {
                             }
                             return score;
                         }))))
-            .then(LiteralArgumentBuilder.<CommandSource>literal("add")
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("add")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
-                    .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("score", IntegerArgumentType.integer(0, Integer.MAX_VALUE))
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.usernames())
+                    .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("score", ArgumentTypeInteger.integer(0, Integer.MAX_VALUE))
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandStop.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandStop.java
index 79cdd1cc2..a47919d11 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandStop.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandStop.java
@@ -2,7 +2,7 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.world.World;
 import net.minecraft.server.MinecraftServer;
@@ -12,7 +12,7 @@ import net.minecraft.core.net.command.exceptions.CommandExceptions;
 
 public class CommandStop implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("stop")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("stop")
                 .requires(CommandSource::hasAdmin)
                 .executes(c -> {
                     CommandSource source = c.getSource();
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandUnban.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandUnban.java
index 9b28d8edd..07a382de5 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandUnban.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandUnban.java
@@ -2,9 +2,9 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.DynamicCommandExceptionType;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
@@ -21,10 +21,10 @@ public class CommandUnban implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
-                LiteralArgumentBuilder.<CommandSource>literal("unban")
+                ArgumentBuilderLiteral.<CommandSource>literal("unban")
                     .requires(CommandSource::hasAdmin)
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("username")
-                        .then(RequiredArgumentBuilder.<CommandSource, String>argument("name", StringArgumentType.word()).executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("username")
+                        .then(ArgumentBuilderRequired.<CommandSource, String>argument("name", ArgumentTypeString.word()).executes(c -> {
                             CommandSource source = c.getSource();
                             if (!(source instanceof IServerCommandSource))
                                 throw CommandExceptions.multiplayerWorldOnly().create();
@@ -40,8 +40,8 @@ public class CommandUnban implements CommandManager.CommandRegistry {
                             });
                             return Command.SINGLE_SUCCESS;
                         })))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("ip")
-                        .then(RequiredArgumentBuilder.<CommandSource, String>argument("address", StringArgumentType.word()).executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("ip")
+                        .then(ArgumentBuilderRequired.<CommandSource, String>argument("address", ArgumentTypeString.word()).executes(c -> {
                             CommandSource source = c.getSource();
                             if (!(source instanceof IServerCommandSource))
                                 throw CommandExceptions.multiplayerWorldOnly().create();
diff --git a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandWhitelist.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandWhitelist.java
index 066175427..ed00e48c8 100644
--- a/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandWhitelist.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandWhitelist.java
@@ -2,9 +2,9 @@ package net.minecraft.server.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.DynamicCommandExceptionType;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
@@ -25,9 +25,9 @@ public class CommandWhitelist implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
-                LiteralArgumentBuilder.<CommandSource>literal("whitelist")
+                ArgumentBuilderLiteral.<CommandSource>literal("whitelist")
                     .requires(CommandSource::hasAdmin)
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("on").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("on").executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
@@ -38,7 +38,7 @@ public class CommandWhitelist implements CommandManager.CommandRegistry {
                         server.playerList.whitelistEnforced = true;
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("off").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("off").executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
@@ -49,7 +49,7 @@ public class CommandWhitelist implements CommandManager.CommandRegistry {
                         server.playerList.whitelistEnforced = false;
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("list").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("list").executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
@@ -66,7 +66,7 @@ public class CommandWhitelist implements CommandManager.CommandRegistry {
                         c.getSource().sendTranslatableMessage("command.commands.whitelist.list", message);
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("reload").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("reload").executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
@@ -75,8 +75,8 @@ public class CommandWhitelist implements CommandManager.CommandRegistry {
                         c.getSource().sendTranslatableMessage("command.commands.whitelist.reload");
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("add")
-                        .then(RequiredArgumentBuilder.<CommandSource, String>argument("name", StringArgumentType.word())
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("add")
+                        .then(ArgumentBuilderRequired.<CommandSource, String>argument("name", ArgumentTypeString.word())
                             .executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
@@ -97,8 +97,8 @@ public class CommandWhitelist implements CommandManager.CommandRegistry {
                         }
                         return Command.SINGLE_SUCCESS;
                     })))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("remove")
-                        .then(RequiredArgumentBuilder.<CommandSource, String>argument("name", StringArgumentType.word())
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("remove")
+                        .then(ArgumentBuilderRequired.<CommandSource, String>argument("name", ArgumentTypeString.word())
                             .executes(c -> {
                                 CommandSource source = c.getSource();
                                 if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
